import request from "@/api";

// 获取表头数据
export function getDroughtResistantHeader(data: any) {
  return request({
    url: "/admin/sys/dmmatype/getAllList",
    method: "post",
    data
  });
}

// 获取列表数据
export function getDroughtResistantList(data: any) {
  return request({
    url: "/admin/sys/dmmatype/selectIrkzqXxb",
    method: "post",
    data
  });
}

// 物资分类接口
export function getSuppliesType(data: any) {
  return request({
    url: "/admin/sys/dmmatype/list",
    method: "post",
    params: {
      current: data.current,
      size: data.size
    },
    data
  });
}

// 数据统计 应急物资分类列表 —— 物资大类
export function getSysTreeDict(data: any) {
  return request({
    url: "/admin/sys/dict/selectSysTreeDict",
    method: "post",
    data
  });
}

// 数据统计 —— 获取省份数据
export function getCityList(data: any) {
  return request({
    url: "/admin/dept/getDeptParentIdList",
    method: "post",
    data
  });
}
